<?php
/**
 * Copyright © 2016 MageWorx. All rights reserved.
 * See LICENSE.txt for license details.
 */
?>
<?php
/** @var \MageWorx\Downloads\Block\Catalog\Product\Link $block */
$product = $block->getCurrentProduct();
$productSku =  $product->getSku();
$item     = $block->getItem();
$fileName = $item->getName();
$itemUrl  = $block->getAttachmentLink($item->getId());
$object_manager = \Magento\Framework\App\ObjectManager::getInstance();
$sectioModel = $object_manager->create('MageWorx\Downloads\Model\Section');
$section = $sectioModel->load($item->getSectionId());
$bg_class = 'bg-img-specs';
if($item->getId() == 77){
  $bg_class = 'bg-img-windows';
}else if($item->getId() == 78){
  $bg_class = 'bg-img-mac';  
}
$sectClass = '';
$imgSrc = 'Downloads-Icon.png';

if($item->getSectionId() == 2){
  $sectClass = 'drivers';
  $imgSrc = 'images/icons/Drivers-Icon.png';
}elseif ($item->getSectionId() == 3) {
  $sectClass = 'manuals';
  $imgSrc = 'images/icons/UserManual-icon.png';
}elseif ($item->getSectionId() == 4) {
  $sectClass = 'specs';
  $imgSrc = 'images/icons/Specsheet-Icon.png';
}
?>    

<li>
  <div>
      <img src="<?php echo $this->getViewFileUrl($imgSrc); ?>">
  </div>
  <div>
    <?php if ($item->getIsInGroup()) { 
          
            $aUrl = $block->escapeHtml($itemUrl); 
         
          ?>
       <a href="<?php echo $aUrl ?>" rel="<?php echo $item->getId() ?>"  target="_blank"   title="<?php if($item->getSectionId() == 2){ echo $block->escapeHtml($item->getName()); }else{ echo $section->getName(); } ?>">
            <div class="item-link"><span class="download-text"><strong class="media-heading"><?php if($item->getSectionId() == 2){ 
                echo $block->escapeHtml($item->getName()); 
              }else{
                echo $section->getName(); 
             } ?></strong></span></div>
                    </a>
    <?php } else { ?>
            <?php echo $fileName ?><span>*</span>
        <?php } ?>
  </div>
</li>

